Closed Bug 1547286 Opened 1 year ago Closed 3 months ago

Enable remote 2D canvas on Nightly.

Categories

(Core :: Graphics, enhancement, P2)

All
Windows
enhancement

Tracking

()

RESOLVED FIXED
mozilla77
Tracking Status
firefox68 --- wontfix
firefox77 --- fixed

People

(Reporter: bobowen, Assigned: bobowen)

References

(Blocks 1 open bug)

Details

(Keywords: perf-alert)

Attachments

(2 files)

This is to enable on Nightly the remote 2D canvas functionality being landed preffed off in bug 1464032, once any blockers are resolved.

Blocks: 1548487
Depends on: 1560855
Depends on: 1575796
Depends on: 1575828
Depends on: 1575832
Depends on: 1575838
Depends on: 1575844
Depends on: 1575874
Depends on: 1577515
Depends on: 1580511
Depends on: 1582372
Depends on: 1585073
Depends on: 1592213
Depends on: 1590619
Depends on: 1572415
Depends on: 1596791
No longer depends on: 1572415
Pushed by bobowencode@gmail.com:
https://hg.mozilla.org/integration/autoland/rev/03381ad44ca9
Enable remote Canvas 2D in Nightly builds. r=jrmuizel
Pushed by bobowencode@gmail.com:
https://hg.mozilla.org/integration/autoland/rev/01032a31b2e2
Part 2: Adjust fuzz for reftests with differing backends when remote canvas and webrender enabled.
Status: ASSIGNED → RESOLVED
Closed: 8 months ago
Resolution: --- → FIXED
Target Milestone: --- → mozilla72

Backed out to disable Remote Canvas 2D while regressions are investigated and resolved

Backout: https://hg.mozilla.org/mozilla-central/rev/2a76c7273dd288badf6297583860a36df99cb31f

Status: RESOLVED → REOPENED
Flags: needinfo?(bobowencode)
Resolution: FIXED → ---
Target Milestone: mozilla72 → ---
Depends on: 1558117
Depends on: 1598578
Depends on: 1598579
Depends on: 1598580
Depends on: 1598425
Depends on: 1598582
Depends on: 1598585
Flags: needinfo?(bobowencode)

The initial change caused a performance improvement

== Change summary for alert #24128 (as of Mon, 25 Nov 2019 11:36:23 GMT) ==

Improvements:

8% raptor-motionmark-animometer-firefox windows10-64-shippable-qr opt 42.47 -> 46.06
8% raptor-motionmark-animometer-firefox windows10-64-shippable-qr opt 42.56 -> 46.00

For up to date results, see: https://treeherder.mozilla.org/perf.html#/alerts?id=24128

But the back out took things back to normal:

== Change summary for alert #24066 (as of Sat, 23 Nov 2019 03:51:53 GMT) ==

Regressions:

7% raptor-motionmark-animometer-firefox windows10-64-shippable-qr opt 45.94 -> 42.58

For up to date results, see: https://treeherder.mozilla.org/perf.html#/alerts?id=24066

No longer depends on: 1599983
Depends on: 1604180
Depends on: 1610859
Pushed by bobowencode@gmail.com:
https://hg.mozilla.org/integration/autoland/rev/279285e42cea
Enable remote Canvas 2D in Nightly builds. r=jrmuizel
Backout by csabou@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/106132a89a47
Backed out changeset 279285e42cea for causing a spike in mochitest windows webgl failures.
Depends on: 1618868
Attachment #9106967 - Attachment description: Bug 1547286: Enable remote Canvas 2D in Nightly builds. r=jrmuizel! → Bug 1547286: Enable remote Canvas 2D in Windows Nightly builds. r=jrmuizel!
Pushed by bobowencode@gmail.com:
https://hg.mozilla.org/integration/autoland/rev/a22ce6ad4e27
Enable remote Canvas 2D in Windows Nightly builds. r=jrmuizel
Status: REOPENED → RESOLVED
Closed: 8 months ago3 months ago
Resolution: --- → FIXED
Target Milestone: --- → mozilla77
Regressions: 1630223
Regressions: 1630304
Regressions: 1630521

== Change summary for alert #25637 (as of Thu, 16 Apr 2020 10:40:08 GMT) ==

Improvements:

5% raptor-motionmark-animometer-firefox windows10-64-shippable-qr opt 43.65 -> 45.89
5% raptor-motionmark-animometer-firefox windows10-64-shippable-qr opt 43.71 -> 45.79

For up to date results, see: https://treeherder.mozilla.org/perf.html#/alerts?id=25637

Flags: needinfo?(bobowencode)
Regressions: 1633791
Regressions: 1644575
You need to log in before you can comment on or make changes to this bug.